import type { DataPreview } from "./Encode";
import { Encode } from "./Encode";
declare function Table<T extends object>(data: T, deepLink: false | number | undefined, noCollapse: true): {
    table: Record<string, Record<string, DataPreview.objReal[""]["@value"]>>;
    cols: string[];
    "@location": string | null;
};
declare function Table<T extends object>(data: T, deepLink?: false | number, noCollapse?: false): {
    table: Record<string, Record<string, DataPreview.objReal[""]["@value"]>>;
    cols: string[];
    "@location": string | null;
    "@collapse": ReturnType<typeof Encode>;
};
export { Table };
